Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
MainWindow Class Reference
Inheritance diagram for MainWindow:

## Public Slots
bool | openCaptureFile (QString cf_path, QString display_filter, unsigned int type, gboolean is_tempfile=FALSE)
bool | openCaptureFile (QString cf_path=QString(), QString display_filter=QString())
void | filterPackets (QString new_filter=QString(), bool force=false)
void | updateForUnsavedChanges ()
void | layoutPanes ()
void | applyRecentPaneGeometry ()
void | layoutToolbars ()
void | updatePreferenceActions ()
void | updateRecentActions ()
void | setTitlebarForCaptureFile ()
void | setWSWindowTitle (QString title=QString())
void | captureCapturePrepared (capture_session *)
void | captureCaptureUpdateStarted (capture_session *)
void | captureCaptureUpdateFinished (capture_session *)
void | captureCaptureFixedFinished (capture_session *cap_session)
void | captureCaptureFailed (capture_session *)
void | captureFileOpened ()
void | captureFileReadFinished ()
void | captureFileClosing ()
void | captureFileClosed ()
void | filterExpressionsChanged ()
static gboolean | filter_expression_add_action (const void *key, void *value, void *user_data)
void | launchRLCGraph (bool channelKnown, guint16 ueid, guint8 rlcMode, guint16 channelType, guint16 channelId, guint8 direction)
void | on_actionViewFullScreen_triggered (bool checked)
int | uatRowIndexForFilterExpression (QString label, QString expression)

## Signals
void | setCaptureFile (capture_file *cf)
void | setDissectedCaptureFile (capture_file *cf)
void | displayFilterSuccess (bool success)
void | closePacketDialogs ()
void | reloadFields ()
void | packetInfoChanged (struct _packet_info *pinfo)
void | fieldFilterChanged (const QByteArray field_filter)
void | filterAction (QString filter, FilterAction::Action action, FilterAction::ActionType type)
void | fieldSelected (FieldInformation *)
void | fieldHighlight (FieldInformation *)
void | frameSelected (int)
void | captureActive (int)

## Public Member Functions
| MainWindow (QWidget *parent=0)
void | setPipeInputHandler (gint source, gpointer user_data, ws_process_id *child_process, pipe_input_cb_t input_cb)
QString | getFilter ()
virtual QMenu * | createPopupMenu ()
void | gotoFrame (int packet_num)
CaptureFile * | captureFile ()
void | removeAdditionalToolbar (QString toolbarName)
void | addInterfaceToolbar (const iface_toolbar *toolbar_entry)
void | removeInterfaceToolbar (const gchar *menu_title)
QString | getMwFileName ()
void | setMwFileName (QString fileName)

## Protected Member Functions
virtual bool | eventFilter (QObject *obj, QEvent *event)
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | closeEvent (QCloseEvent *event)
virtual void | dragEnterEvent (QDragEnterEvent *event)
virtual void | dropEvent (QDropEvent *event)
virtual void | changeEvent (QEvent *event)
virtual void | resizeEvent (QResizeEvent *event)

## Member Function Documentation

bool MainWindow::openCaptureFile | ( | QString | cf_path,
|  | QString | display_filter,
|  | unsigned int | type,
|  | gboolean | is_tempfile = `FALSE`
| ) |  |
| slot

Open a capture file.

Parameters

  cf_path | Path to the file.
  display_filter | Display filter to apply. May be empty.
  type | File type.

Returns
  True on success, false on failure.

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/main_window.h
- ui/qt/moc_main_window.cpp
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/main_window.cpp
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/main_window_slots.cpp